from flask import Blueprint
from flask_login import login_required
import os
import yaml


services_file = \
    os.path.join(os.path.dirname(os.path.abspath(__file__)), 'services.yml')
with open(services_file, 'r') as f:
    SERVICES = yaml.safe_load(f)

bp = Blueprint('services', __name__)


@bp.before_request
@login_required
def before_request():
    '''
    Ensures that the routes in this package can only be visited by users that
    are logged in.
    '''
    pass


from . import routes  # noqa
